Viewing docs for gcore 2.0.0-alpha.2
published on Tuesday, Mar 24, 2026 by g-core
published on Tuesday, Mar 24, 2026 by g-core
Viewing docs for gcore 2.0.0-alpha.2
published on Tuesday, Mar 24, 2026 by g-core
published on Tuesday, Mar 24, 2026 by g-core
Instances are cloud virtual machines with configurable CPU, memory, storage, and networking, supporting various operating systems and workloads.
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as gcore from "@pulumi/gcore";
const exampleCloudInstance = gcore.getCloudInstance({
projectId: 0,
regionId: 0,
instanceId: "instance_id",
});
import pulumi
import pulumi_gcore as gcore
example_cloud_instance = gcore.get_cloud_instance(project_id=0,
region_id=0,
instance_id="instance_id")
package main
import (
"github.com/pulumi/pulumi-terraform-provider/sdks/go/gcore/v2/gcore"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
_, err := gcore.LookupCloudInstance(ctx, &gcore.LookupCloudInstanceArgs{
ProjectId: pulumi.Float64Ref(0),
RegionId: pulumi.Float64Ref(0),
InstanceId: pulumi.StringRef("instance_id"),
}, nil)
if err != nil {
return err
}
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Gcore = Pulumi.Gcore;
return await Deployment.RunAsync(() =>
{
var exampleCloudInstance = Gcore.GetCloudInstance.Invoke(new()
{
ProjectId = 0,
RegionId = 0,
InstanceId = "instance_id",
});
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.gcore.GcoreFunctions;
import com.pulumi.gcore.inputs.GetCloudInstanceArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var exampleCloudInstance = GcoreFunctions.getCloudInstance(GetCloudInstanceArgs.builder()
.projectId(0)
.regionId(0)
.instanceId("instance_id")
.build());
}
}
variables:
exampleCloudInstance:
fn::invoke:
function: gcore:getCloudInstance
arguments:
projectId: 0
regionId: 0
instanceId: instance_id
Using getCloudInstance
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getCloudInstance(args: GetCloudInstanceArgs, opts?: InvokeOptions): Promise<GetCloudInstanceResult>
function getCloudInstanceOutput(args: GetCloudInstanceOutputArgs, opts?: InvokeOptions): Output<GetCloudInstanceResult>def get_cloud_instance(find_one_by: Optional[GetCloudInstanceFindOneBy] = None,
instance_id: Optional[str] = None,
project_id: Optional[float] = None,
region_id: Optional[float] = None,
opts: Optional[InvokeOptions] = None) -> GetCloudInstanceResult
def get_cloud_instance_output(find_one_by: Optional[pulumi.Input[GetCloudInstanceFindOneByArgs]] = None,
instance_id: Optional[pulumi.Input[str]] = None,
project_id: Optional[pulumi.Input[float]] = None,
region_id: Optional[pulumi.Input[float]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetCloudInstanceResult]func LookupCloudInstance(ctx *Context, args *LookupCloudInstanceArgs, opts ...InvokeOption) (*LookupCloudInstanceResult, error)
func LookupCloudInstanceOutput(ctx *Context, args *LookupCloudInstanceOutputArgs, opts ...InvokeOption) LookupCloudInstanceResultOutput> Note: This function is named LookupCloudInstance in the Go SDK.
public static class GetCloudInstance
{
public static Task<GetCloudInstanceResult> InvokeAsync(GetCloudInstanceArgs args, InvokeOptions? opts = null)
public static Output<GetCloudInstanceResult> Invoke(GetCloudInstanceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetCloudInstanceResult> getCloudInstance(GetCloudInstanceArgs args, InvokeOptions options)
public static Output<GetCloudInstanceResult> getCloudInstance(GetCloudInstanceArgs args, InvokeOptions options)
fn::invoke:
function: gcore:index/getCloudInstance:getCloudInstance
arguments:
# arguments dictionaryThe following arguments are supported:
- Find
One GetBy Cloud Instance Find One By - Instance
Id string - Instance ID
- Project
Id double - Project ID
- Region
Id double - Region ID
- Find
One GetBy Cloud Instance Find One By - Instance
Id string - Instance ID
- Project
Id float64 - Project ID
- Region
Id float64 - Region ID
- find
One GetBy Cloud Instance Find One By - instance
Id String - Instance ID
- project
Id Double - Project ID
- region
Id Double - Region ID
- find
One GetBy Cloud Instance Find One By - instance
Id string - Instance ID
- project
Id number - Project ID
- region
Id number - Region ID
- find_
one_ Getby Cloud Instance Find One By - instance_
id str - Instance ID
- project_
id float - Project ID
- region_
id float - Region ID
- find
One Property MapBy - instance
Id String - Instance ID
- project
Id Number - Project ID
- region
Id Number - Region ID
getCloudInstance Result
The following output properties are available:
- Addresses
Dictionary<string, Immutable
Array<Get Cloud Instance Addresses>> - Map of
network_nameto list of addresses in that network - Blackhole
Ports List<GetCloud Instance Blackhole Port> - IP addresses of the instances that are blackholed by DDoS mitigation system
- Created
At string - Datetime when instance was created
- Creator
Task stringId - Task that created this entity
- Ddos
Profile GetCloud Instance Ddos Profile - Advanced DDoS protection profile. It is always
nullif query parameterwith_ddos=trueis not set. - Fixed
Ip List<GetAssignments Cloud Instance Fixed Ip Assignment> - Fixed IP assigned to instance
- Flavor
Get
Cloud Instance Flavor - Flavor
- Id string
- Instance ID
- Instance
Description string - Instance description
- Instance
Isolation GetCloud Instance Instance Isolation - Instance isolation information
- Name string
- Instance name
- Region string
- Region name
- Security
Groups List<GetCloud Instance Security Group> - Security groups
- Ssh
Key stringName - SSH key assigned to instance
- Status string
- Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
-
List<Get
Cloud Instance Tag> - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- Task
State string - Task state
- Vm
State string - Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", <span pulumi-lang-nodejs=""shelvedOffloaded"" pulumi-lang-dotnet=""ShelvedOffloaded"" pulumi-lang-go=""shelvedOffloaded"" pulumi-lang-python=""shelved_offloaded"" pulumi-lang-yaml=""shelvedOffloaded"" pulumi-lang-java=""shelvedOffloaded"">"shelved_offloaded", "soft-deleted", "stopped", "suspended".
- Volumes
List<Get
Cloud Instance Volume> - List of volumes
- Find
One GetBy Cloud Instance Find One By - Instance
Id string - Instance ID
- Project
Id double - Project ID
- Region
Id double - Region ID
- Addresses
map[string][]Get
Cloud Instance Addresses - Map of
network_nameto list of addresses in that network - Blackhole
Ports []GetCloud Instance Blackhole Port - IP addresses of the instances that are blackholed by DDoS mitigation system
- Created
At string - Datetime when instance was created
- Creator
Task stringId - Task that created this entity
- Ddos
Profile GetCloud Instance Ddos Profile - Advanced DDoS protection profile. It is always
nullif query parameterwith_ddos=trueis not set. - Fixed
Ip []GetAssignments Cloud Instance Fixed Ip Assignment - Fixed IP assigned to instance
- Flavor
Get
Cloud Instance Flavor - Flavor
- Id string
- Instance ID
- Instance
Description string - Instance description
- Instance
Isolation GetCloud Instance Instance Isolation - Instance isolation information
- Name string
- Instance name
- Region string
- Region name
- Security
Groups []GetCloud Instance Security Group - Security groups
- Ssh
Key stringName - SSH key assigned to instance
- Status string
- Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
-
[]Get
Cloud Instance Tag - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- Task
State string - Task state
- Vm
State string - Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", <span pulumi-lang-nodejs=""shelvedOffloaded"" pulumi-lang-dotnet=""ShelvedOffloaded"" pulumi-lang-go=""shelvedOffloaded"" pulumi-lang-python=""shelved_offloaded"" pulumi-lang-yaml=""shelvedOffloaded"" pulumi-lang-java=""shelvedOffloaded"">"shelved_offloaded", "soft-deleted", "stopped", "suspended".
- Volumes
[]Get
Cloud Instance Volume - List of volumes
- Find
One GetBy Cloud Instance Find One By - Instance
Id string - Instance ID
- Project
Id float64 - Project ID
- Region
Id float64 - Region ID
- addresses
Map<String,List<Get
Cloud Instance Addresses>> - Map of
network_nameto list of addresses in that network - blackhole
Ports List<GetCloud Instance Blackhole Port> - IP addresses of the instances that are blackholed by DDoS mitigation system
- created
At String - Datetime when instance was created
- creator
Task StringId - Task that created this entity
- ddos
Profile GetCloud Instance Ddos Profile - Advanced DDoS protection profile. It is always
nullif query parameterwith_ddos=trueis not set. - fixed
Ip List<GetAssignments Cloud Instance Fixed Ip Assignment> - Fixed IP assigned to instance
- flavor
Get
Cloud Instance Flavor - Flavor
- id String
- Instance ID
- instance
Description String - Instance description
- instance
Isolation GetCloud Instance Instance Isolation - Instance isolation information
- name String
- Instance name
- region String
- Region name
- security
Groups List<GetCloud Instance Security Group> - Security groups
- ssh
Key StringName - SSH key assigned to instance
- status String
- Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
-
List<Get
Cloud Instance Tag> - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task
State String - Task state
- vm
State String - Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", <span pulumi-lang-nodejs=""shelvedOffloaded"" pulumi-lang-dotnet=""ShelvedOffloaded"" pulumi-lang-go=""shelvedOffloaded"" pulumi-lang-python=""shelved_offloaded"" pulumi-lang-yaml=""shelvedOffloaded"" pulumi-lang-java=""shelvedOffloaded"">"shelved_offloaded", "soft-deleted", "stopped", "suspended".
- volumes
List<Get
Cloud Instance Volume> - List of volumes
- find
One GetBy Cloud Instance Find One By - instance
Id String - Instance ID
- project
Id Double - Project ID
- region
Id Double - Region ID
- addresses
{[key: string]: Get
Cloud Instance Addresses[]} - Map of
network_nameto list of addresses in that network - blackhole
Ports GetCloud Instance Blackhole Port[] - IP addresses of the instances that are blackholed by DDoS mitigation system
- created
At string - Datetime when instance was created
- creator
Task stringId - Task that created this entity
- ddos
Profile GetCloud Instance Ddos Profile - Advanced DDoS protection profile. It is always
nullif query parameterwith_ddos=trueis not set. - fixed
Ip GetAssignments Cloud Instance Fixed Ip Assignment[] - Fixed IP assigned to instance
- flavor
Get
Cloud Instance Flavor - Flavor
- id string
- Instance ID
- instance
Description string - Instance description
- instance
Isolation GetCloud Instance Instance Isolation - Instance isolation information
- name string
- Instance name
- region string
- Region name
- security
Groups GetCloud Instance Security Group[] - Security groups
- ssh
Key stringName - SSH key assigned to instance
- status string
- Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
-
Get
Cloud Instance Tag[] - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task
State string - Task state
- vm
State string - Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", <span pulumi-lang-nodejs=""shelvedOffloaded"" pulumi-lang-dotnet=""ShelvedOffloaded"" pulumi-lang-go=""shelvedOffloaded"" pulumi-lang-python=""shelved_offloaded"" pulumi-lang-yaml=""shelvedOffloaded"" pulumi-lang-java=""shelvedOffloaded"">"shelved_offloaded", "soft-deleted", "stopped", "suspended".
- volumes
Get
Cloud Instance Volume[] - List of volumes
- find
One GetBy Cloud Instance Find One By - instance
Id string - Instance ID
- project
Id number - Project ID
- region
Id number - Region ID
- addresses
Mapping[str, Sequence[Get
Cloud Instance Addresses]] - Map of
network_nameto list of addresses in that network - blackhole_
ports Sequence[GetCloud Instance Blackhole Port] - IP addresses of the instances that are blackholed by DDoS mitigation system
- created_
at str - Datetime when instance was created
- creator_
task_ strid - Task that created this entity
- ddos_
profile GetCloud Instance Ddos Profile - Advanced DDoS protection profile. It is always
nullif query parameterwith_ddos=trueis not set. - fixed_
ip_ Sequence[Getassignments Cloud Instance Fixed Ip Assignment] - Fixed IP assigned to instance
- flavor
Get
Cloud Instance Flavor - Flavor
- id str
- Instance ID
- instance_
description str - Instance description
- instance_
isolation GetCloud Instance Instance Isolation - Instance isolation information
- name str
- Instance name
- region str
- Region name
- security_
groups Sequence[GetCloud Instance Security Group] - Security groups
- ssh_
key_ strname - SSH key assigned to instance
- status str
- Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
-
Sequence[Get
Cloud Instance Tag] - List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task_
state str - Task state
- vm_
state str - Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", <span pulumi-lang-nodejs=""shelvedOffloaded"" pulumi-lang-dotnet=""ShelvedOffloaded"" pulumi-lang-go=""shelvedOffloaded"" pulumi-lang-python=""shelved_offloaded"" pulumi-lang-yaml=""shelvedOffloaded"" pulumi-lang-java=""shelvedOffloaded"">"shelved_offloaded", "soft-deleted", "stopped", "suspended".
- volumes
Sequence[Get
Cloud Instance Volume] - List of volumes
- find_
one_ Getby Cloud Instance Find One By - instance_
id str - Instance ID
- project_
id float - Project ID
- region_
id float - Region ID
- addresses Map<List<Property Map>>
- Map of
network_nameto list of addresses in that network - blackhole
Ports List<Property Map> - IP addresses of the instances that are blackholed by DDoS mitigation system
- created
At String - Datetime when instance was created
- creator
Task StringId - Task that created this entity
- ddos
Profile Property Map - Advanced DDoS protection profile. It is always
nullif query parameterwith_ddos=trueis not set. - fixed
Ip List<Property Map>Assignments - Fixed IP assigned to instance
- flavor Property Map
- Flavor
- id String
- Instance ID
- instance
Description String - Instance description
- instance
Isolation Property Map - Instance isolation information
- name String
- Instance name
- region String
- Region name
- security
Groups List<Property Map> - Security groups
- ssh
Key StringName - SSH key assigned to instance
- status String
- Instance status Available values: "ACTIVE", "BUILD", "DELETED", "ERROR", "HARDREBOOT", "MIGRATING", "PASSWORD", "PAUSED", "REBOOT", "REBUILD", "RESCUE", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "UNKNOWN", "VERIFY_RESIZE".
- List<Property Map>
- List of key-value tags associated with the resource. A tag is a key-value pair that can be associated with a resource, enabling efficient filtering and grouping for better organization and management. Some tags are read-only and cannot be modified by the user. Tags are also integrated with cost reports, allowing cost data to be filtered based on tag keys or values.
- task
State String - Task state
- vm
State String - Virtual machine state (active) Available values: "active", "building", "deleted", "error", "paused", "rescued", "resized", "shelved", <span pulumi-lang-nodejs=""shelvedOffloaded"" pulumi-lang-dotnet=""ShelvedOffloaded"" pulumi-lang-go=""shelvedOffloaded"" pulumi-lang-python=""shelved_offloaded"" pulumi-lang-yaml=""shelvedOffloaded"" pulumi-lang-java=""shelvedOffloaded"">"shelved_offloaded", "soft-deleted", "stopped", "suspended".
- volumes List<Property Map>
- List of volumes
- find
One Property MapBy - instance
Id String - Instance ID
- project
Id Number - Project ID
- region
Id Number - Region ID
Supporting Types
GetCloudInstanceAddresses
- Addr string
- Interface
Name string - Subnet
Id string - Interface subnet id
- Subnet
Name string - Type string
- Addr string
- Interface
Name string - Subnet
Id string - Interface subnet id
- Subnet
Name string - Type string
- addr String
- interface
Name String - subnet
Id String - Interface subnet id
- subnet
Name String - type String
- addr string
- interface
Name string - subnet
Id string - Interface subnet id
- subnet
Name string - type string
- addr str
- interface_
name str - subnet_
id str - Interface subnet id
- subnet_
name str - type str
- addr String
- interface
Name String - subnet
Id String - Interface subnet id
- subnet
Name String - type String
GetCloudInstanceBlackholePort
- Alarm
End string - A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
- Alarm
Start string - A date-time string giving the time that the alarm started
- Alarm
State string - Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
- Alert
Duration string - Total alert duration
- Destination
Ip string - Notification destination IP address
- Id double
- Alarm
End string - A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
- Alarm
Start string - A date-time string giving the time that the alarm started
- Alarm
State string - Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
- Alert
Duration string - Total alert duration
- Destination
Ip string - Notification destination IP address
- Id float64
- alarm
End String - A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
- alarm
Start String - A date-time string giving the time that the alarm started
- alarm
State String - Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
- alert
Duration String - Total alert duration
- destination
Ip String - Notification destination IP address
- id Double
- alarm
End string - A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
- alarm
Start string - A date-time string giving the time that the alarm started
- alarm
State string - Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
- alert
Duration string - Total alert duration
- destination
Ip string - Notification destination IP address
- id number
- alarm_
end str - A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
- alarm_
start str - A date-time string giving the time that the alarm started
- alarm_
state str - Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
- alert_
duration str - Total alert duration
- destination_
ip str - Notification destination IP address
- id float
- alarm
End String - A date-time string giving the time that the alarm ended. If not yet ended, time will be given as 0001-01-01T00:00:00Z
- alarm
Start String - A date-time string giving the time that the alarm started
- alarm
State String - Current state of alarm Available values: "ACKREQ", "ALARM", "ARCHIVED", "CLEAR", "CLEARING", "CLEARINGFAIL", "ENDGRACE", "ENDWAIT", "MANUALCLEAR", "MANUALCLEARING", "MANUALCLEARINGFAIL", "MANUALMITIGATING", "MANUALSTARTING", "MANUALSTARTINGFAIL", "MITIGATING", "STARTING", "STARTINGFAIL", "STARTWAIT", "ackreq", "alarm", "archived", "clear", "clearing", "clearingfail", "endgrace", "endwait", "manualclear", "manualclearing", "manualclearingfail", "manualmitigating", "manualstarting", "manualstartingfail", "mitigating", "startwait", "starting", "startingfail".
- alert
Duration String - Total alert duration
- destination
Ip String - Notification destination IP address
- id Number
GetCloudInstanceDdosProfile
- Fields
List<Get
Cloud Instance Ddos Profile Field> - List of configured field values for the protection profile
- Id double
- Unique identifier for the DDoS protection profile
- Options
Get
Cloud Instance Ddos Profile Options - Configuration options controlling profile activation and BGP routing
- Profile
Template GetCloud Instance Ddos Profile Profile Template - Complete template configuration data used for this profile
- Profile
Template stringDescription - Detailed description of the protection template used for this profile
- Protocols
List<Get
Cloud Instance Ddos Profile Protocol> - List of network protocols and ports configured for protection
- Site string
- Geographic site identifier where the protection is deployed
- Status
Get
Cloud Instance Ddos Profile Status - Current operational status and any error information for the profile
- Fields
[]Get
Cloud Instance Ddos Profile Field - List of configured field values for the protection profile
- Id float64
- Unique identifier for the DDoS protection profile
- Options
Get
Cloud Instance Ddos Profile Options - Configuration options controlling profile activation and BGP routing
- Profile
Template GetCloud Instance Ddos Profile Profile Template - Complete template configuration data used for this profile
- Profile
Template stringDescription - Detailed description of the protection template used for this profile
- Protocols
[]Get
Cloud Instance Ddos Profile Protocol - List of network protocols and ports configured for protection
- Site string
- Geographic site identifier where the protection is deployed
- Status
Get
Cloud Instance Ddos Profile Status - Current operational status and any error information for the profile
- fields
List<Get
Cloud Instance Ddos Profile Field> - List of configured field values for the protection profile
- id Double
- Unique identifier for the DDoS protection profile
- options
Get
Cloud Instance Ddos Profile Options - Configuration options controlling profile activation and BGP routing
- profile
Template GetCloud Instance Ddos Profile Profile Template - Complete template configuration data used for this profile
- profile
Template StringDescription - Detailed description of the protection template used for this profile
- protocols
List<Get
Cloud Instance Ddos Profile Protocol> - List of network protocols and ports configured for protection
- site String
- Geographic site identifier where the protection is deployed
- status
Get
Cloud Instance Ddos Profile Status - Current operational status and any error information for the profile
- fields
Get
Cloud Instance Ddos Profile Field[] - List of configured field values for the protection profile
- id number
- Unique identifier for the DDoS protection profile
- options
Get
Cloud Instance Ddos Profile Options - Configuration options controlling profile activation and BGP routing
- profile
Template GetCloud Instance Ddos Profile Profile Template - Complete template configuration data used for this profile
- profile
Template stringDescription - Detailed description of the protection template used for this profile
- protocols
Get
Cloud Instance Ddos Profile Protocol[] - List of network protocols and ports configured for protection
- site string
- Geographic site identifier where the protection is deployed
- status
Get
Cloud Instance Ddos Profile Status - Current operational status and any error information for the profile
- fields
Sequence[Get
Cloud Instance Ddos Profile Field] - List of configured field values for the protection profile
- id float
- Unique identifier for the DDoS protection profile
- options
Get
Cloud Instance Ddos Profile Options - Configuration options controlling profile activation and BGP routing
- profile_
template GetCloud Instance Ddos Profile Profile Template - Complete template configuration data used for this profile
- profile_
template_ strdescription - Detailed description of the protection template used for this profile
- protocols
Sequence[Get
Cloud Instance Ddos Profile Protocol] - List of network protocols and ports configured for protection
- site str
- Geographic site identifier where the protection is deployed
- status
Get
Cloud Instance Ddos Profile Status - Current operational status and any error information for the profile
- fields List<Property Map>
- List of configured field values for the protection profile
- id Number
- Unique identifier for the DDoS protection profile
- options Property Map
- Configuration options controlling profile activation and BGP routing
- profile
Template Property Map - Complete template configuration data used for this profile
- profile
Template StringDescription - Detailed description of the protection template used for this profile
- protocols List<Property Map>
- List of network protocols and ports configured for protection
- site String
- Geographic site identifier where the protection is deployed
- status Property Map
- Current operational status and any error information for the profile
GetCloudInstanceDdosProfileField
- Base
Field double - ID of DDoS profile field
- Default string
- Predefined default value for the field if not specified
- Description string
- Detailed description explaining the field's purpose and usage guidelines
- Field
Name string - Name of DDoS profile field
- Field
Type string - Data type classification of the field (e.g., string, integer, array)
- Field
Value string - Complex value. Only one of 'value' or 'field_value' must be specified.
- Id double
- Unique identifier for the DDoS protection field
- Name string
- Human-readable name of the protection field
- Required bool
- Indicates whether this field must be provided when creating a protection profile
- Validation
Schema string - JSON schema defining validation rules and constraints for the field value
- Value string
- Basic type value. Only one of 'value' or 'field_value' must be specified.
- Base
Field float64 - ID of DDoS profile field
- Default string
- Predefined default value for the field if not specified
- Description string
- Detailed description explaining the field's purpose and usage guidelines
- Field
Name string - Name of DDoS profile field
- Field
Type string - Data type classification of the field (e.g., string, integer, array)
- Field
Value string - Complex value. Only one of 'value' or 'field_value' must be specified.
- Id float64
- Unique identifier for the DDoS protection field
- Name string
- Human-readable name of the protection field
- Required bool
- Indicates whether this field must be provided when creating a protection profile
- Validation
Schema string - JSON schema defining validation rules and constraints for the field value
- Value string
- Basic type value. Only one of 'value' or 'field_value' must be specified.
- base
Field Double - ID of DDoS profile field
- default_ String
- Predefined default value for the field if not specified
- description String
- Detailed description explaining the field's purpose and usage guidelines
- field
Name String - Name of DDoS profile field
- field
Type String - Data type classification of the field (e.g., string, integer, array)
- field
Value String - Complex value. Only one of 'value' or 'field_value' must be specified.
- id Double
- Unique identifier for the DDoS protection field
- name String
- Human-readable name of the protection field
- required Boolean
- Indicates whether this field must be provided when creating a protection profile
- validation
Schema String - JSON schema defining validation rules and constraints for the field value
- value String
- Basic type value. Only one of 'value' or 'field_value' must be specified.
- base
Field number - ID of DDoS profile field
- default string
- Predefined default value for the field if not specified
- description string
- Detailed description explaining the field's purpose and usage guidelines
- field
Name string - Name of DDoS profile field
- field
Type string - Data type classification of the field (e.g., string, integer, array)
- field
Value string - Complex value. Only one of 'value' or 'field_value' must be specified.
- id number
- Unique identifier for the DDoS protection field
- name string
- Human-readable name of the protection field
- required boolean
- Indicates whether this field must be provided when creating a protection profile
- validation
Schema string - JSON schema defining validation rules and constraints for the field value
- value string
- Basic type value. Only one of 'value' or 'field_value' must be specified.
- base_
field float - ID of DDoS profile field
- default str
- Predefined default value for the field if not specified
- description str
- Detailed description explaining the field's purpose and usage guidelines
- field_
name str - Name of DDoS profile field
- field_
type str - Data type classification of the field (e.g., string, integer, array)
- field_
value str - Complex value. Only one of 'value' or 'field_value' must be specified.
- id float
- Unique identifier for the DDoS protection field
- name str
- Human-readable name of the protection field
- required bool
- Indicates whether this field must be provided when creating a protection profile
- validation_
schema str - JSON schema defining validation rules and constraints for the field value
- value str
- Basic type value. Only one of 'value' or 'field_value' must be specified.
- base
Field Number - ID of DDoS profile field
- default String
- Predefined default value for the field if not specified
- description String
- Detailed description explaining the field's purpose and usage guidelines
- field
Name String - Name of DDoS profile field
- field
Type String - Data type classification of the field (e.g., string, integer, array)
- field
Value String - Complex value. Only one of 'value' or 'field_value' must be specified.
- id Number
- Unique identifier for the DDoS protection field
- name String
- Human-readable name of the protection field
- required Boolean
- Indicates whether this field must be provided when creating a protection profile
- validation
Schema String - JSON schema defining validation rules and constraints for the field value
- value String
- Basic type value. Only one of 'value' or 'field_value' must be specified.
GetCloudInstanceDdosProfileOptions
GetCloudInstanceDdosProfileProfileTemplate
- Description string
- Detailed description explaining the template's purpose and use cases
- Fields
List<Get
Cloud Instance Ddos Profile Profile Template Field> - List of configurable fields that define the template's protection parameters
- Id double
- Unique identifier for the DDoS protection template
- Name string
- Human-readable name of the protection template
- Description string
- Detailed description explaining the template's purpose and use cases
- Fields
[]Get
Cloud Instance Ddos Profile Profile Template Field - List of configurable fields that define the template's protection parameters
- Id float64
- Unique identifier for the DDoS protection template
- Name string
- Human-readable name of the protection template
- description String
- Detailed description explaining the template's purpose and use cases
- fields
List<Get
Cloud Instance Ddos Profile Profile Template Field> - List of configurable fields that define the template's protection parameters
- id Double
- Unique identifier for the DDoS protection template
- name String
- Human-readable name of the protection template
- description string
- Detailed description explaining the template's purpose and use cases
- fields
Get
Cloud Instance Ddos Profile Profile Template Field[] - List of configurable fields that define the template's protection parameters
- id number
- Unique identifier for the DDoS protection template
- name string
- Human-readable name of the protection template
- description str
- Detailed description explaining the template's purpose and use cases
- fields
Sequence[Get
Cloud Instance Ddos Profile Profile Template Field] - List of configurable fields that define the template's protection parameters
- id float
- Unique identifier for the DDoS protection template
- name str
- Human-readable name of the protection template
- description String
- Detailed description explaining the template's purpose and use cases
- fields List<Property Map>
- List of configurable fields that define the template's protection parameters
- id Number
- Unique identifier for the DDoS protection template
- name String
- Human-readable name of the protection template
GetCloudInstanceDdosProfileProfileTemplateField
- Default string
- Predefined default value for the field if not specified
- Description string
- Detailed description explaining the field's purpose and usage guidelines
- Field
Type string - Data type classification of the field (e.g., string, integer, array)
- Id double
- Unique identifier for the DDoS protection field
- Name string
- Human-readable name of the protection field
- Required bool
- Indicates whether this field must be provided when creating a protection profile
- Validation
Schema string - JSON schema defining validation rules and constraints for the field value
- Default string
- Predefined default value for the field if not specified
- Description string
- Detailed description explaining the field's purpose and usage guidelines
- Field
Type string - Data type classification of the field (e.g., string, integer, array)
- Id float64
- Unique identifier for the DDoS protection field
- Name string
- Human-readable name of the protection field
- Required bool
- Indicates whether this field must be provided when creating a protection profile
- Validation
Schema string - JSON schema defining validation rules and constraints for the field value
- default_ String
- Predefined default value for the field if not specified
- description String
- Detailed description explaining the field's purpose and usage guidelines
- field
Type String - Data type classification of the field (e.g., string, integer, array)
- id Double
- Unique identifier for the DDoS protection field
- name String
- Human-readable name of the protection field
- required Boolean
- Indicates whether this field must be provided when creating a protection profile
- validation
Schema String - JSON schema defining validation rules and constraints for the field value
- default string
- Predefined default value for the field if not specified
- description string
- Detailed description explaining the field's purpose and usage guidelines
- field
Type string - Data type classification of the field (e.g., string, integer, array)
- id number
- Unique identifier for the DDoS protection field
- name string
- Human-readable name of the protection field
- required boolean
- Indicates whether this field must be provided when creating a protection profile
- validation
Schema string - JSON schema defining validation rules and constraints for the field value
- default str
- Predefined default value for the field if not specified
- description str
- Detailed description explaining the field's purpose and usage guidelines
- field_
type str - Data type classification of the field (e.g., string, integer, array)
- id float
- Unique identifier for the DDoS protection field
- name str
- Human-readable name of the protection field
- required bool
- Indicates whether this field must be provided when creating a protection profile
- validation_
schema str - JSON schema defining validation rules and constraints for the field value
- default String
- Predefined default value for the field if not specified
- description String
- Detailed description explaining the field's purpose and usage guidelines
- field
Type String - Data type classification of the field (e.g., string, integer, array)
- id Number
- Unique identifier for the DDoS protection field
- name String
- Human-readable name of the protection field
- required Boolean
- Indicates whether this field must be provided when creating a protection profile
- validation
Schema String - JSON schema defining validation rules and constraints for the field value
GetCloudInstanceDdosProfileProtocol
GetCloudInstanceDdosProfileStatus
- Error
Description string - Detailed error message describing any issues with the profile operation
- Status string
- Current operational status of the DDoS protection profile
- Error
Description string - Detailed error message describing any issues with the profile operation
- Status string
- Current operational status of the DDoS protection profile
- error
Description String - Detailed error message describing any issues with the profile operation
- status String
- Current operational status of the DDoS protection profile
- error
Description string - Detailed error message describing any issues with the profile operation
- status string
- Current operational status of the DDoS protection profile
- error_
description str - Detailed error message describing any issues with the profile operation
- status str
- Current operational status of the DDoS protection profile
- error
Description String - Detailed error message describing any issues with the profile operation
- status String
- Current operational status of the DDoS protection profile
GetCloudInstanceFindOneBy
- Include
Ai bool - Include GPU clusters' servers
- Include
Baremetal bool - Include bare metal servers. Please, use
GET /v1/bminstances/instead - Include
K8s bool - Include managed k8s worker nodes
- Only
Isolated bool - Include only isolated instances
- Order
By string - Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
- With
Ddos bool - Include DDoS profile information in the response when set to
true. Otherwise, theddos_profilefield in the response isnullby default. - With
Interfaces boolName - Include
interface_namein the addresses - Available
Floating bool - Only show instances which are able to handle floating address
- Changes
Before string - Filters the instances by a date and time stamp when the instances last changed.
- Changes
Since string - Filters the instances by a date and time stamp when the instances last changed status.
- Exclude
Flavor stringPrefix - Exclude instances with specified flavor prefix
- Exclude
Secgroup string - Exclude instances with specified security group name
- Flavor
Id string - Filter out instances by
flavor_id. Flavor id must match exactly. - Flavor
Prefix string - Filter out instances by
flavor_prefix. - Ip string
- An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
- Name string
- Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
- Only
With boolFixed External Ip - Return bare metals only with external fixed IP addresses.
- Profile
Name string - Filter result by ddos protection profile name. Effective only with
with_ddosset to true. - Protection
Status string - Filter result by DDoS
protection_status. if parameter is provided. Effective only withwith_ddosset to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error". - Status string
- Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
- Tag
Key stringValue - Optional. Filter by tag key-value pairs.
- Tag
Values List<string> - Optional. Filter by tag values. ?
tag_value=value1&tag_value=value2 - Type
Ddos stringProfile - Return bare metals either only with advanced or only basic DDoS protection. Effective only with
with_ddosset to true. (advanced or basic) Available values: "basic", "advanced". - Uuid string
- Filter the server list result by the UUID of the server. Allowed UUID part
- Include
Ai bool - Include GPU clusters' servers
- Include
Baremetal bool - Include bare metal servers. Please, use
GET /v1/bminstances/instead - Include
K8s bool - Include managed k8s worker nodes
- Only
Isolated bool - Include only isolated instances
- Order
By string - Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
- With
Ddos bool - Include DDoS profile information in the response when set to
true. Otherwise, theddos_profilefield in the response isnullby default. - With
Interfaces boolName - Include
interface_namein the addresses - Available
Floating bool - Only show instances which are able to handle floating address
- Changes
Before string - Filters the instances by a date and time stamp when the instances last changed.
- Changes
Since string - Filters the instances by a date and time stamp when the instances last changed status.
- Exclude
Flavor stringPrefix - Exclude instances with specified flavor prefix
- Exclude
Secgroup string - Exclude instances with specified security group name
- Flavor
Id string - Filter out instances by
flavor_id. Flavor id must match exactly. - Flavor
Prefix string - Filter out instances by
flavor_prefix. - Ip string
- An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
- Name string
- Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
- Only
With boolFixed External Ip - Return bare metals only with external fixed IP addresses.
- Profile
Name string - Filter result by ddos protection profile name. Effective only with
with_ddosset to true. - Protection
Status string - Filter result by DDoS
protection_status. if parameter is provided. Effective only withwith_ddosset to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error". - Status string
- Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
- Tag
Key stringValue - Optional. Filter by tag key-value pairs.
- Tag
Values []string - Optional. Filter by tag values. ?
tag_value=value1&tag_value=value2 - Type
Ddos stringProfile - Return bare metals either only with advanced or only basic DDoS protection. Effective only with
with_ddosset to true. (advanced or basic) Available values: "basic", "advanced". - Uuid string
- Filter the server list result by the UUID of the server. Allowed UUID part
- include
Ai Boolean - Include GPU clusters' servers
- include
Baremetal Boolean - Include bare metal servers. Please, use
GET /v1/bminstances/instead - include
K8s Boolean - Include managed k8s worker nodes
- only
Isolated Boolean - Include only isolated instances
- order
By String - Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
- with
Ddos Boolean - Include DDoS profile information in the response when set to
true. Otherwise, theddos_profilefield in the response isnullby default. - with
Interfaces BooleanName - Include
interface_namein the addresses - available
Floating Boolean - Only show instances which are able to handle floating address
- changes
Before String - Filters the instances by a date and time stamp when the instances last changed.
- changes
Since String - Filters the instances by a date and time stamp when the instances last changed status.
- exclude
Flavor StringPrefix - Exclude instances with specified flavor prefix
- exclude
Secgroup String - Exclude instances with specified security group name
- flavor
Id String - Filter out instances by
flavor_id. Flavor id must match exactly. - flavor
Prefix String - Filter out instances by
flavor_prefix. - ip String
- An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
- name String
- Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
- only
With BooleanFixed External Ip - Return bare metals only with external fixed IP addresses.
- profile
Name String - Filter result by ddos protection profile name. Effective only with
with_ddosset to true. - protection
Status String - Filter result by DDoS
protection_status. if parameter is provided. Effective only withwith_ddosset to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error". - status String
- Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
- tag
Key StringValue - Optional. Filter by tag key-value pairs.
- tag
Values List<String> - Optional. Filter by tag values. ?
tag_value=value1&tag_value=value2 - type
Ddos StringProfile - Return bare metals either only with advanced or only basic DDoS protection. Effective only with
with_ddosset to true. (advanced or basic) Available values: "basic", "advanced". - uuid String
- Filter the server list result by the UUID of the server. Allowed UUID part
- include
Ai boolean - Include GPU clusters' servers
- include
Baremetal boolean - Include bare metal servers. Please, use
GET /v1/bminstances/instead - include
K8s boolean - Include managed k8s worker nodes
- only
Isolated boolean - Include only isolated instances
- order
By string - Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
- with
Ddos boolean - Include DDoS profile information in the response when set to
true. Otherwise, theddos_profilefield in the response isnullby default. - with
Interfaces booleanName - Include
interface_namein the addresses - available
Floating boolean - Only show instances which are able to handle floating address
- changes
Before string - Filters the instances by a date and time stamp when the instances last changed.
- changes
Since string - Filters the instances by a date and time stamp when the instances last changed status.
- exclude
Flavor stringPrefix - Exclude instances with specified flavor prefix
- exclude
Secgroup string - Exclude instances with specified security group name
- flavor
Id string - Filter out instances by
flavor_id. Flavor id must match exactly. - flavor
Prefix string - Filter out instances by
flavor_prefix. - ip string
- An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
- name string
- Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
- only
With booleanFixed External Ip - Return bare metals only with external fixed IP addresses.
- profile
Name string - Filter result by ddos protection profile name. Effective only with
with_ddosset to true. - protection
Status string - Filter result by DDoS
protection_status. if parameter is provided. Effective only withwith_ddosset to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error". - status string
- Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
- tag
Key stringValue - Optional. Filter by tag key-value pairs.
- tag
Values string[] - Optional. Filter by tag values. ?
tag_value=value1&tag_value=value2 - type
Ddos stringProfile - Return bare metals either only with advanced or only basic DDoS protection. Effective only with
with_ddosset to true. (advanced or basic) Available values: "basic", "advanced". - uuid string
- Filter the server list result by the UUID of the server. Allowed UUID part
- include_
ai bool - Include GPU clusters' servers
- include_
baremetal bool - Include bare metal servers. Please, use
GET /v1/bminstances/instead - include_
k8s bool - Include managed k8s worker nodes
- only_
isolated bool - Include only isolated instances
- order_
by str - Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
- with_
ddos bool - Include DDoS profile information in the response when set to
true. Otherwise, theddos_profilefield in the response isnullby default. - with_
interfaces_ boolname - Include
interface_namein the addresses - available_
floating bool - Only show instances which are able to handle floating address
- changes_
before str - Filters the instances by a date and time stamp when the instances last changed.
- changes_
since str - Filters the instances by a date and time stamp when the instances last changed status.
- exclude_
flavor_ strprefix - Exclude instances with specified flavor prefix
- exclude_
secgroup str - Exclude instances with specified security group name
- flavor_
id str - Filter out instances by
flavor_id. Flavor id must match exactly. - flavor_
prefix str - Filter out instances by
flavor_prefix. - ip str
- An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
- name str
- Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
- only_
with_ boolfixed_ external_ ip - Return bare metals only with external fixed IP addresses.
- profile_
name str - Filter result by ddos protection profile name. Effective only with
with_ddosset to true. - protection_
status str - Filter result by DDoS
protection_status. if parameter is provided. Effective only withwith_ddosset to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error". - status str
- Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
- tag_
key_ strvalue - Optional. Filter by tag key-value pairs.
- tag_
values Sequence[str] - Optional. Filter by tag values. ?
tag_value=value1&tag_value=value2 - type_
ddos_ strprofile - Return bare metals either only with advanced or only basic DDoS protection. Effective only with
with_ddosset to true. (advanced or basic) Available values: "basic", "advanced". - uuid str
- Filter the server list result by the UUID of the server. Allowed UUID part
- include
Ai Boolean - Include GPU clusters' servers
- include
Baremetal Boolean - Include bare metal servers. Please, use
GET /v1/bminstances/instead - include
K8s Boolean - Include managed k8s worker nodes
- only
Isolated Boolean - Include only isolated instances
- order
By String - Order by field and direction. Available values: "created.asc", "created.desc", "name.asc", "name.desc", "status.asc", "status.desc".
- with
Ddos Boolean - Include DDoS profile information in the response when set to
true. Otherwise, theddos_profilefield in the response isnullby default. - with
Interfaces BooleanName - Include
interface_namein the addresses - available
Floating Boolean - Only show instances which are able to handle floating address
- changes
Before String - Filters the instances by a date and time stamp when the instances last changed.
- changes
Since String - Filters the instances by a date and time stamp when the instances last changed status.
- exclude
Flavor StringPrefix - Exclude instances with specified flavor prefix
- exclude
Secgroup String - Exclude instances with specified security group name
- flavor
Id String - Filter out instances by
flavor_id. Flavor id must match exactly. - flavor
Prefix String - Filter out instances by
flavor_prefix. - ip String
- An IPv4 address to filter results by. Note: partial matches are allowed. For example, searching for 192.168.0.1 will return 192.168.0.1, 192.168.0.10, 192.168.0.110, and so on.
- name String
- Filter instances by name. You can provide a full or partial name, instances with matching names will be returned. For example, entering 'test' will return all instances that contain 'test' in their name.
- only
With BooleanFixed External Ip - Return bare metals only with external fixed IP addresses.
- profile
Name String - Filter result by ddos protection profile name. Effective only with
with_ddosset to true. - protection
Status String - Filter result by DDoS
protection_status. if parameter is provided. Effective only withwith_ddosset to true. (Active, Queued or Error) Available values: "Active", "Queued", "Error". - status String
- Filters instances by status. Available values: "ACTIVE", "BUILD", "ERROR", "HARDREBOOT", "MIGRATING", "PAUSED", "REBOOT", "REBUILD", "RESIZE", "REVERTRESIZE", "SHELVED", "SHELVEDOFFLOADED", "SHUTOFF", "SOFTDELETED", "SUSPENDED", "VERIFY_RESIZE".
- tag
Key StringValue - Optional. Filter by tag key-value pairs.
- tag
Values List<String> - Optional. Filter by tag values. ?
tag_value=value1&tag_value=value2 - type
Ddos StringProfile - Return bare metals either only with advanced or only basic DDoS protection. Effective only with
with_ddosset to true. (advanced or basic) Available values: "basic", "advanced". - uuid String
- Filter the server list result by the UUID of the server. Allowed UUID part
GetCloudInstanceFixedIpAssignment
- external bool
- Is network external
- ip_
address str - Ip address
- subnet_
id str - Interface subnet id
GetCloudInstanceFlavor
- Architecture string
- CPU architecture
- Flavor
Id string - Flavor ID is the same as name
- Flavor
Name string - Flavor name
- Hardware
Description GetCloud Instance Flavor Hardware Description - Additional hardware description
- Os
Type string - Flavor operating system
- Ram double
- RAM size in MiB
- Resource
Class string - Flavor resource class for mapping to hardware capacity
- Vcpus double
- Virtual CPU count. For bare metal flavors, it's a physical CPU count
- Architecture string
- CPU architecture
- Flavor
Id string - Flavor ID is the same as name
- Flavor
Name string - Flavor name
- Hardware
Description GetCloud Instance Flavor Hardware Description - Additional hardware description
- Os
Type string - Flavor operating system
- Ram float64
- RAM size in MiB
- Resource
Class string - Flavor resource class for mapping to hardware capacity
- Vcpus float64
- Virtual CPU count. For bare metal flavors, it's a physical CPU count
- architecture String
- CPU architecture
- flavor
Id String - Flavor ID is the same as name
- flavor
Name String - Flavor name
- hardware
Description GetCloud Instance Flavor Hardware Description - Additional hardware description
- os
Type String - Flavor operating system
- ram Double
- RAM size in MiB
- resource
Class String - Flavor resource class for mapping to hardware capacity
- vcpus Double
- Virtual CPU count. For bare metal flavors, it's a physical CPU count
- architecture string
- CPU architecture
- flavor
Id string - Flavor ID is the same as name
- flavor
Name string - Flavor name
- hardware
Description GetCloud Instance Flavor Hardware Description - Additional hardware description
- os
Type string - Flavor operating system
- ram number
- RAM size in MiB
- resource
Class string - Flavor resource class for mapping to hardware capacity
- vcpus number
- Virtual CPU count. For bare metal flavors, it's a physical CPU count
- architecture str
- CPU architecture
- flavor_
id str - Flavor ID is the same as name
- flavor_
name str - Flavor name
- hardware_
description GetCloud Instance Flavor Hardware Description - Additional hardware description
- os_
type str - Flavor operating system
- ram float
- RAM size in MiB
- resource_
class str - Flavor resource class for mapping to hardware capacity
- vcpus float
- Virtual CPU count. For bare metal flavors, it's a physical CPU count
- architecture String
- CPU architecture
- flavor
Id String - Flavor ID is the same as name
- flavor
Name String - Flavor name
- hardware
Description Property Map - Additional hardware description
- os
Type String - Flavor operating system
- ram Number
- RAM size in MiB
- resource
Class String - Flavor resource class for mapping to hardware capacity
- vcpus Number
- Virtual CPU count. For bare metal flavors, it's a physical CPU count
GetCloudInstanceFlavorHardwareDescription
GetCloudInstanceInstanceIsolation
- Reason string
- The reason of instance isolation if it is isolated from external internet.
- Reason string
- The reason of instance isolation if it is isolated from external internet.
- reason String
- The reason of instance isolation if it is isolated from external internet.
- reason string
- The reason of instance isolation if it is isolated from external internet.
- reason str
- The reason of instance isolation if it is isolated from external internet.
- reason String
- The reason of instance isolation if it is isolated from external internet.
GetCloudInstanceSecurityGroup
- Name string
- Name.
- Name string
- Name.
- name String
- Name.
- name string
- Name.
- name str
- Name.
- name String
- Name.
GetCloudInstanceTag
- Key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- Read
Only bool - If true, the tag is read-only and cannot be modified by the user
- Value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- Key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- Read
Only bool - If true, the tag is read-only and cannot be modified by the user
- Value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key String
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read
Only Boolean - If true, the tag is read-only and cannot be modified by the user
- value String
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key string
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read
Only boolean - If true, the tag is read-only and cannot be modified by the user
- value string
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key str
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read_
only bool - If true, the tag is read-only and cannot be modified by the user
- value str
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- key String
- Tag key. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
- read
Only Boolean - If true, the tag is read-only and cannot be modified by the user
- value String
- Tag value. Maximum 255 characters. Cannot contain spaces, tabs, newlines, empty string or '=' character.
GetCloudInstanceVolume
- Delete
On boolTermination - Whether the volume is deleted together with the VM
- Id string
- Volume ID
- Delete
On boolTermination - Whether the volume is deleted together with the VM
- Id string
- Volume ID
- delete
On BooleanTermination - Whether the volume is deleted together with the VM
- id String
- Volume ID
- delete
On booleanTermination - Whether the volume is deleted together with the VM
- id string
- Volume ID
- delete_
on_ booltermination - Whether the volume is deleted together with the VM
- id str
- Volume ID
- delete
On BooleanTermination - Whether the volume is deleted together with the VM
- id String
- Volume ID
Package Details
- Repository
- gcore g-core/terraform-provider-gcore
- License
- Notes
- This Pulumi package is based on the
gcoreTerraform Provider.
Viewing docs for gcore 2.0.0-alpha.2
published on Tuesday, Mar 24, 2026 by g-core
published on Tuesday, Mar 24, 2026 by g-core
